<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_191) on Sat Oct 26 09:23:32 CEST 2019 -->
<title>RefinementsItemProviderAdapterFactory</title>
<meta name="date" content="2019-10-26">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="RefinementsItemProviderAdapterFactory";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RefinementsItemProviderAdapterFactory.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../refinement/model/refinements/provider/RefinementsItemProvider.html" title="class in refinement.model.refinements.provider"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?refinement/model/refinements/provider/RefinementsItemProviderAdapterFactory.html" target="_top">Frames</a></li>
<li><a href="RefinementsItemProviderAdapterFactory.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">refinement.model.refinements.provider</div>
<h2 title="Class RefinementsItemProviderAdapterFactory" class="title">Class RefinementsItemProviderAdapterFactory</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.common.notify.impl.AdapterFactoryImpl</li>
<li>
<ul class="inheritance">
<li><a href="../../../../refinement/model/refinements/util/RefinementsAdapterFactory.html" title="class in refinement.model.refinements.util">refinement.model.refinements.util.RefinementsAdapterFactory</a></li>
<li>
<ul class="inheritance">
<li>refinement.model.refinements.provider.RefinementsItemProviderAdapterFactory</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.eclipse.emf.common.notify.AdapterFactory, org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">RefinementsItemProviderAdapterFactory</span>
extends <a href="../../../../refinement/model/refinements/util/RefinementsAdapterFactory.html" title="class in refinement.model.refinements.util">RefinementsAdapterFactory</a>
implements org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable</pre>
<div class="block">This is the factory that is used to provide the interfaces needed to support Viewers.
 The adapters generated by this factory convert EMF adapter notifications into calls to <a href="../../../../refinement/model/refinements/provider/RefinementsItemProviderAdapterFactory.html#fireNotifyChanged-org.eclipse.emf.common.notify.Notification-"><code>fireNotifyChanged</code></a>.
 The adapters also support Eclipse property sheets.
 Note that most of the adapters are shared among multiple instances.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/provider/RefinementsItemProviderAdapterFactory.html#RefinementsItemProviderAdapterFactory--">RefinementsItemProviderAdapterFactory</a></span>()</code>
<div class="block">This constructs an instance.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.notify.Adapter</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/provider/RefinementsItemProviderAdapterFactory.html#adapt-org.eclipse.emf.common.notify.Notifier-java.lang.Object-">adapt</a></span>(org.eclipse.emf.common.notify.Notifier&nbsp;notifier,
     java.lang.Object&nbsp;type)</code>
<div class="block">This implementation substitutes the factory itself as the key for the adapter.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/provider/RefinementsItemProviderAdapterFactory.html#adapt-java.lang.Object-java.lang.Object-">adapt</a></span>(java.lang.Object&nbsp;object,
     java.lang.Object&nbsp;type)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/provider/RefinementsItemProviderAdapterFactory.html#addListener-org.eclipse.emf.edit.provider.INotifyChangedListener-">addListener</a></span>(org.eclipse.emf.edit.provider.INotifyChangedListener&nbsp;notifyChangedListener)</code>
<div class="block">This adds a listener.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.notify.Adapter</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/provider/RefinementsItemProviderAdapterFactory.html#createComposedRefinementsAdapter--">createComposedRefinementsAdapter</a></span>()</code>
<div class="block">This creates an adapter for a <a href="../../../../refinement/model/refinements/ComposedRefinements.html" title="interface in refinement.model.refinements"><code>ComposedRefinements</code></a>.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.notify.Adapter</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/provider/RefinementsItemProviderAdapterFactory.html#createRefinementAdapter--">createRefinementAdapter</a></span>()</code>
<div class="block">This creates an adapter for a <a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements"><code>Refinement</code></a>.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.notify.Adapter</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/provider/RefinementsItemProviderAdapterFactory.html#createRefinementsAdapter--">createRefinementsAdapter</a></span>()</code>
<div class="block">This creates an adapter for a <a href="../../../../refinement/model/refinements/Refinements.html" title="interface in refinement.model.refinements"><code>Refinements</code></a>.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/provider/RefinementsItemProviderAdapterFactory.html#dispose--">dispose</a></span>()</code>
<div class="block">This disposes all of the item providers created by this factory.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/provider/RefinementsItemProviderAdapterFactory.html#fireNotifyChanged-org.eclipse.emf.common.notify.Notification-">fireNotifyChanged</a></span>(org.eclipse.emf.common.notify.Notification&nbsp;notification)</code>
<div class="block">This delegates to <a href="../../../../refinement/model/refinements/provider/RefinementsItemProviderAdapterFactory.html#changeNotifier"><code>changeNotifier</code></a> and to <a href="../../../../refinement/model/refinements/provider/RefinementsItemProviderAdapterFactory.html#parentAdapterFactory"><code>parentAdapterFactory</code></a>.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.edit.provider.ComposeableAdapterFactory</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/provider/RefinementsItemProviderAdapterFactory.html#getRootAdapterFactory--">getRootAdapterFactory</a></span>()</code>
<div class="block">This returns the root adapter factory that contains this factory.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/provider/RefinementsItemProviderAdapterFactory.html#isFactoryForType-java.lang.Object-">isFactoryForType</a></span>(java.lang.Object&nbsp;type)</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/provider/RefinementsItemProviderAdapterFactory.html#removeListener-org.eclipse.emf.edit.provider.INotifyChangedListener-">removeListener</a></span>(org.eclipse.emf.edit.provider.INotifyChangedListener&nbsp;notifyChangedListener)</code>
<div class="block">This removes a listener.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/provider/RefinementsItemProviderAdapterFactory.html#setParentAdapterFactory-org.eclipse.emf.edit.provider.ComposedAdapterFactory-">setParentAdapterFactory</a></span>(org.eclipse.emf.edit.provider.ComposedAdapterFactory&nbsp;parentAdapterFactory)</code>
<div class="block">This sets the composed adapter factory that contains this factory.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.refinement.model.refinements.util.RefinementsAdapterFactory">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;refinement.model.refinements.util.<a href="../../../../refinement/model/refinements/util/RefinementsAdapterFactory.html" title="class in refinement.model.refinements.util">RefinementsAdapterFactory</a></h3>
<code><a href="../../../../refinement/model/refinements/util/RefinementsAdapterFactory.html#createAdapter-org.eclipse.emf.common.notify.Notifier-">createAdapter</a>, <a href="../../../../refinement/model/refinements/util/RefinementsAdapterFactory.html#createEObjectAdapter--">createEObjectAdapter</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.impl.AdapterFactoryImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.common.notify.impl.AdapterFactoryImpl</h3>
<code>adaptAllNew, adaptNew</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.AdapterFactory">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.AdapterFactory</h3>
<code>adaptAllNew, adaptNew</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="RefinementsItemProviderAdapterFactory--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>RefinementsItemProviderAdapterFactory</h4>
<pre>public&nbsp;RefinementsItemProviderAdapterFactory()</pre>
<div class="block">This constructs an instance.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="createRefinementAdapter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createRefinementAdapter</h4>
<pre>public&nbsp;org.eclipse.emf.common.notify.Adapter&nbsp;createRefinementAdapter()</pre>
<div class="block">This creates an adapter for a <a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements"><code>Refinement</code></a>.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/util/RefinementsAdapterFactory.html#createRefinementAdapter--">createRefinementAdapter</a></code>&nbsp;in class&nbsp;<code><a href="../../../../refinement/model/refinements/util/RefinementsAdapterFactory.html" title="class in refinement.model.refinements.util">RefinementsAdapterFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new adapter.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements"><code>Refinement</code></a></dd>
</dl>
</li>
</ul>
<a name="createRefinementsAdapter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createRefinementsAdapter</h4>
<pre>public&nbsp;org.eclipse.emf.common.notify.Adapter&nbsp;createRefinementsAdapter()</pre>
<div class="block">This creates an adapter for a <a href="../../../../refinement/model/refinements/Refinements.html" title="interface in refinement.model.refinements"><code>Refinements</code></a>.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/util/RefinementsAdapterFactory.html#createRefinementsAdapter--">createRefinementsAdapter</a></code>&nbsp;in class&nbsp;<code><a href="../../../../refinement/model/refinements/util/RefinementsAdapterFactory.html" title="class in refinement.model.refinements.util">RefinementsAdapterFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new adapter.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/Refinements.html" title="interface in refinement.model.refinements"><code>Refinements</code></a></dd>
</dl>
</li>
</ul>
<a name="createComposedRefinementsAdapter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createComposedRefinementsAdapter</h4>
<pre>public&nbsp;org.eclipse.emf.common.notify.Adapter&nbsp;createComposedRefinementsAdapter()</pre>
<div class="block">This creates an adapter for a <a href="../../../../refinement/model/refinements/ComposedRefinements.html" title="interface in refinement.model.refinements"><code>ComposedRefinements</code></a>.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/util/RefinementsAdapterFactory.html#createComposedRefinementsAdapter--">createComposedRefinementsAdapter</a></code>&nbsp;in class&nbsp;<code><a href="../../../../refinement/model/refinements/util/RefinementsAdapterFactory.html" title="class in refinement.model.refinements.util">RefinementsAdapterFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new adapter.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/ComposedRefinements.html" title="interface in refinement.model.refinements"><code>ComposedRefinements</code></a></dd>
</dl>
</li>
</ul>
<a name="getRootAdapterFactory--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRootAdapterFactory</h4>
<pre>public&nbsp;org.eclipse.emf.edit.provider.ComposeableAdapterFactory&nbsp;getRootAdapterFactory()</pre>
<div class="block">This returns the root adapter factory that contains this factory.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getRootAdapterFactory</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.edit.provider.ComposeableAdapterFactory</code></dd>
</dl>
</li>
</ul>
<a name="setParentAdapterFactory-org.eclipse.emf.edit.provider.ComposedAdapterFactory-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setParentAdapterFactory</h4>
<pre>public&nbsp;void&nbsp;setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory&nbsp;parentAdapterFactory)</pre>
<div class="block">This sets the composed adapter factory that contains this factory.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>setParentAdapterFactory</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.edit.provider.ComposeableAdapterFactory</code></dd>
</dl>
</li>
</ul>
<a name="isFactoryForType-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isFactoryForType</h4>
<pre>public&nbsp;boolean&nbsp;isFactoryForType(java.lang.Object&nbsp;type)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>isFactoryForType</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.common.notify.AdapterFactory</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/util/RefinementsAdapterFactory.html#isFactoryForType-java.lang.Object-">isFactoryForType</a></code>&nbsp;in class&nbsp;<code><a href="../../../../refinement/model/refinements/util/RefinementsAdapterFactory.html" title="class in refinement.model.refinements.util">RefinementsAdapterFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>whether this factory is applicable for the type of the object.</dd>
</dl>
</li>
</ul>
<a name="adapt-org.eclipse.emf.common.notify.Notifier-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>adapt</h4>
<pre>public&nbsp;org.eclipse.emf.common.notify.Adapter&nbsp;adapt(org.eclipse.emf.common.notify.Notifier&nbsp;notifier,
                                                   java.lang.Object&nbsp;type)</pre>
<div class="block">This implementation substitutes the factory itself as the key for the adapter.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>adapt</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.common.notify.AdapterFactory</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>adapt</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.common.notify.impl.AdapterFactoryImpl</code></dd>
</dl>
</li>
</ul>
<a name="adapt-java.lang.Object-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>adapt</h4>
<pre>public&nbsp;java.lang.Object&nbsp;adapt(java.lang.Object&nbsp;object,
                              java.lang.Object&nbsp;type)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>adapt</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.common.notify.AdapterFactory</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>adapt</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.common.notify.impl.AdapterFactoryImpl</code></dd>
</dl>
</li>
</ul>
<a name="addListener-org.eclipse.emf.edit.provider.INotifyChangedListener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addListener</h4>
<pre>public&nbsp;void&nbsp;addListener(org.eclipse.emf.edit.provider.INotifyChangedListener&nbsp;notifyChangedListener)</pre>
<div class="block">This adds a listener.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>addListener</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.edit.provider.IChangeNotifier</code></dd>
</dl>
</li>
</ul>
<a name="removeListener-org.eclipse.emf.edit.provider.INotifyChangedListener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeListener</h4>
<pre>public&nbsp;void&nbsp;removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener&nbsp;notifyChangedListener)</pre>
<div class="block">This removes a listener.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>removeListener</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.edit.provider.IChangeNotifier</code></dd>
</dl>
</li>
</ul>
<a name="fireNotifyChanged-org.eclipse.emf.common.notify.Notification-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fireNotifyChanged</h4>
<pre>public&nbsp;void&nbsp;fireNotifyChanged(org.eclipse.emf.common.notify.Notification&nbsp;notification)</pre>
<div class="block">This delegates to <a href="../../../../refinement/model/refinements/provider/RefinementsItemProviderAdapterFactory.html#changeNotifier"><code>changeNotifier</code></a> and to <a href="../../../../refinement/model/refinements/provider/RefinementsItemProviderAdapterFactory.html#parentAdapterFactory"><code>parentAdapterFactory</code></a>.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>fireNotifyChanged</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.edit.provider.IChangeNotifier</code></dd>
</dl>
</li>
</ul>
<a name="dispose--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>dispose</h4>
<pre>public&nbsp;void&nbsp;dispose()</pre>
<div class="block">This disposes all of the item providers created by this factory. 
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>dispose</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.edit.provider.IDisposable</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RefinementsItemProviderAdapterFactory.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../refinement/model/refinements/provider/RefinementsItemProvider.html" title="class in refinement.model.refinements.provider"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?refinement/model/refinements/provider/RefinementsItemProviderAdapterFactory.html" target="_top">Frames</a></li>
<li><a href="RefinementsItemProviderAdapterFactory.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
